> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get URL

> Get OAuth2 authorization URL for exchange connection.



## OpenAPI

````yaml https://api-bluvo.com/api/v0/openapi get /v0/oauth2/{exchange}/url
openapi: 3.1.0
info:
  title: Bluvo API (v0)
  description: APIs to supercharge your crypto project.
  version: 0.0.3
  termsOfService: https://bluvo.co/terms
  contact:
    name: Bluvo
    email: help@bluvo.co
    url: https://bluvo.co
servers:
  - url: https://api-bluvo.com
    description: Production Server
  - url: https://test.api-bluvo.com
    description: Development Server
security: []
paths:
  /v0/oauth2/{exchange}/url:
    get:
      tags:
        - OAuth2
      summary: Get URL
      description: Get OAuth2 authorization URL for exchange connection.
      operationId: oauth2exchangeurlgeturl
      parameters:
        - name: exchange
          in: path
          required: true
          description: Exchange identifier.
          schema:
            type: string
            enum:
              - coinbase
              - kraken
              - kucoin
              - local-cex
              - binance-web
              - bybit-web
        - name: idem
          in: query
          required: true
          description: Idempotency key.
          schema:
            type: string
        - name: customDomain
          in: query
          required: false
          description: Custom base domain for redirect URI i.e. 'example.com'.
          schema:
            type:
              - string
              - 'null'
        - name: expiresAt
          in: query
          required: false
          description: >-
            Optional Unix timestamp (seconds) for API key expiration. If
            provided, the generated API key will expire at this time. If
            omitted, the key will not expire.
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                  success:
                    type: boolean
                  isQRCode:
                    type: boolean
                required:
                  - url
                  - success
              example:
                success: true
                url: >-
                  https://api-bluvo.com/v0/oauth2/c/login?idem=123&orgId=456&projectId=789&walletId=001
                isQRCode: false
      security:
        - bluvoOrgId:
            - x-bluvo-org-id
          bluvoProjectId:
            - x-bluvo-project-id
          bluvoWalletId:
            - x-bluvo-wallet-id
components:
  securitySchemes:
    bluvoOrgId:
      type: apiKey
      name: x-bluvo-org-id
      in: header
      description: Bluvo Organization ID
    bluvoProjectId:
      type: apiKey
      name: x-bluvo-project-id
      in: header
      description: Bluvo Project ID
    bluvoWalletId:
      type: apiKey
      name: x-bluvo-wallet-id
      in: header
      description: Bluvo Wallet ID

````